.archive-products-wrapper{
    max-width:1300px;
    margin:auto;
    padding:30px 20px;
    display:grid;
    grid-template-columns:280px 1fr;
    gap:25px;
}


/* =========================================================
PRODUCTOS
========================================================= */

.products-top{
    display:flex;
    justify-content:space-between;
    align-items:center;
    margin-bottom:20px;
}

.products-top h1{
    margin:0;
    font-size:20px;
}

.products-grid{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:10px;
}

.product-card{
    background:#fff;
    border-radius:20px;
    overflow:hidden;
    position:relative;
    transition:.2s;
    padding:15px;
    border:1px solid #eee;
}

.product-card:hover{
    transform:translateY(-4px);
}

.product-image{
    display:flex;
    justify-content:center;
    align-items:center;
    height:230px;
}

.product-image img{
    max-width:100%;
    max-height:100%;
    object-fit:contain;
}
.sec-img {
    position: relative;
}
.product-rating {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-top: 5px;
}
.stars {
    color: #ffb400;
    font-size: 13px;
}
.product-rating span {
    font-size: 13px;
    color: #666;
}
.save-price {
    color: #c6284c;
    font-size: 11px;
    margin-top: 5px;
    font-weight: 600;
}
.card-fav{
    position:absolute;
    right:15px;
    bottom:15px;
    width:38px;
    height:38px;
    border:none;
    border-radius:50%;
    background:#fff;
    box-shadow:0 0 10px rgba(0,0,0,.1);
    cursor:pointer;
	display:none;
}
	.product-card:hover .card-fav {display:block}
.discount-badge{
    position:absolute;
    top:12px;
    left:12px;
    background:#c6284c;
    color:#fff;
    padding:6px 10px;
    border-radius:8px;
    font-size:13px;
    font-weight:bold;
    z-index:5;
}

.product-title{
    font-size:13px;
    color:#111;
    text-decoration:none;
    line-height:1.4;
    display:block;
    min-height:50px;
}

.product-price{
    display:flex;
    align-items:center;
    gap:10px;
    margin-top:5px;
}

.price-current{
    font-size:20px;
    font-weight:800;
    color:#c6284c;
}

.price-old{
    text-decoration:line-through;
    color:#777;
    font-size:13px;
}

.shipping-tags{
    display:flex;
    gap:10px;
    margin-top:10px;
    flex-wrap:wrap;
}

.tag-fast{
    background:#b7efc5;
    color:#146c43;
    font-size:10px;
    padding:5px 9px;
    border-radius:50px;
    font-weight:700;
}

.tag-free{
    background:#d8d9ff;
    color:#3434b3;
    font-size:10px;
    padding:5px 9px;
    border-radius:50px;
    font-weight:700;
}

/* =========================================================
NO PRODUCTS
========================================================= */

.no-products{
    background:#f5f5f5;
    border-radius:25px;
    padding:60px 20px;
    text-align:center;
}

.no-products i{
    font-size:50px;
    margin-bottom:15px;
    color:#999;
}

/* =========================================================
PAGINATION
========================================================= */

.products-pagination{
    margin-top:40px;
    display:flex;
    justify-content:center;
    gap:10px;
}

.products-pagination .page-numbers{
    width:42px;
    height:42px;
    border-radius:12px;
    background:#f5f5f5;
    display:flex;
    align-items:center;
    justify-content:center;
    text-decoration:none;
    color:#111;
    font-weight:600;
}

.products-pagination .current{
    background:#111;
    color:#fff;
}
.archive-products-wrapper{
    max-width:1300px;
    margin:auto;
    padding:30px 20px;
    display:grid;
    grid-template-columns:280px 1fr;
    gap:25px;
}
.products-top-actions{
    display:flex;
    align-items:center;
    gap:15px;
}

.mobile-open-filters{
    display:none;
}

/* =========================================================
RESPONSIVE
========================================================= */

@media(max-width:1100px){

    .products-grid{
        grid-template-columns:repeat(3,1fr);
    }

}

@media(max-width:992px){

.archive-products-wrapper {
    display: flex;
    flex-direction: column;
}
aside.products-sidebar {
    position: relative;
}
    .mobile-open-filters{
        display:flex;
        align-items:center;
        gap:8px;
        border:none;
        height:42px;
        padding:0 18px;
        border-radius:14px;
        background:var(--btn-bg);
        color:var(--btn-text);
        font-weight:700;
        cursor:pointer;
    }

    .mobile-open-filters i{
        font-size:14px;
    }

    .mobile-filters-overlay{
        position:fixed;
        inset:0;
        background:rgba(0,0,0,.45);
        z-index:998;
        opacity:0;
        visibility:hidden;
        transition:.3s;
    }

    .mobile-filters-overlay.active{
        opacity:1;
        visibility:visible;
		display: block;
    }

    .products-sidebar{
        position:fixed !important;
        left:0;
        bottom:0;
        width:100%;
        height:85vh;
        max-height:85vh;
        overflow-y:auto;
        border-radius:30px 30px 0 0;
        z-index:999;
        transform:translateY(100%);
        transition:transform .35s ease;
        padding-bottom:120px;
		top: 0;
    }

    .products-sidebar.active {
        transform: translateY(0);
        bottom: 0;
        top: auto;
        width: 100%;
        border-radius: 15px 15px 0 0;
        padding-bottom: 0;
        padding: 0;
    }
.products-sidebar form {
    padding: 20px;
}
}

@media(max-width:768px){

    .archive-products-wrapper{
        grid-template-columns:1fr;
    }

    .products-grid{
        grid-template-columns:repeat(2,1fr);
    }

    .products-sidebar{
        position:relative;
        top:auto;
    }

}

@media(max-width:520px){

    .products-grid{
        grid-template-columns:1fr;
    }

}
